%define name    ocaml-duppy
%define version 0.4.2
%define release %mkrel 2

Summary:   An advanced scheduler for OCaml programmers
Name:      %{name}
Version:   %{version}
Release:   %{release}
License:   LGPLv2
Group:     Development/Other
Url:       http://savonet.sourceforge.net/
Source0:   http://downloads.sourceforge.net/savonet/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  ocaml
BuildRequires:  camlp4
BuildRequires:  ocaml-findlib
BuildRequires:  ocaml-pcre-devel
Requires:  ocaml-pcre

%description
Duppy is an event scheduler written for OCaml. It allows the user to
execute tasks according to some events on Unix sockets, or a given delay.
Several threaded queues can proceed tasks in parallel. Tasks are processed
according to an abstract notion of priority.  

%package        devel
Summary:        Development files for %{name}
Group:          Development/Other
Requires:       %{name} = %{version}-%{release}
Requires:       ocaml-pcre-devel

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep 
%setup -q

%build
./configure --libdir=%{_libdir}
%make all

%install
rm -rf %{buildroot}
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR
mkdir -p $OCAMLFIND_DESTDIR/stublibs
make install


%files
%doc CHANGES COPYING README
%{_libdir}/ocaml/duppy
%{_libdir}/ocaml/duppy/*.cma
%{_libdir}/ocaml/duppy/*.cmi
%{_libdir}/ocaml/duppy/pa_duppy.cmo
%{_libdir}/ocaml/stublibs/*.so
%{_libdir}/ocaml/stublibs/*.so.owner

%files devel
%{_libdir}/ocaml/duppy/*.a
%{_libdir}/ocaml/duppy/*.cmx
%{_libdir}/ocaml/duppy/*.cmxa
%{_libdir}/ocaml/duppy/*.mli


%changelog

* Mon Apr 09 2012 malo <malo> 0.4.2-2.mga2
+ Revision: 229864
- add missing requires to ocaml-pcre

* Sat Dec 03 2011 malo <malo> 0.4.2-1.mga2
+ Revision: 175730
- simplifying build section
- imported package ocaml-duppy

